@font-face {
    font-family: 'Sora-Light';
    src: url('../Resources/Fonts/Sora-Light.ttf') format('woff2'), url('../Resources/Fonts/Sora-Light.ttf') format('woff');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Sora-Regular';
    src: url('../Resources/Fonts/Sora-Regular.ttf') format('woff2'), url('../Resources/Fonts/Sora-Regular.ttf') format('woff');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Inter-Light';
    src: url('../Resources/Fonts/Inter_18pt-Light.ttf') format('woff2'), url('../Resources/Fonts/Inter_18pt-Light.ttf') format('woff');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Inter-Bold';
    src: url('../Resources/Fonts/Inter_18pt-Bold.ttf') format('woff2'), url('../Resources/Fonts/Inter_18pt-Bold.ttf') format('woff');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'Inter-Regular';
    src: url('../Resources/Fonts/Inter_18pt-Regular.ttf') format('woff2'), url('../Resources/Fonts/Inter_18pt-Regular.ttf') format('woff');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Inter-Light-Italic';
    src: url('../Resources/Fonts/Inter_18pt-LightItalic.ttf') format('woff2'), url('../Resources/Fonts/Inter_18pt-LightItalic.ttf') format('woff');
    font-weight: 300;
    font-style: italic;
}

.NavigationBar {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 0;
    min-height: 60px;
    background-color: rgba(0, 0, 0, 0.415);
    backdrop-filter: blur(10px);
    position: sticky;
    top: 0;
    z-index: 9999;
}

.CenterGroup {
    display: flex;
    align-items: center;
}

.LeftLinkGroup,
.RightLinkGroup {
    display: flex;
    align-items: center;
    gap: 12px;
}

.icon-video {
    width: 50px;
    height: 50px;
    object-fit: cover;
    border-radius: 100px;
    display: block;
    margin: 0 25px;
}

.NavLinkBox {
    display: flex;
    align-items: center;
    gap: 20px;
}

.nav-links {
    display: flex;
    align-items: center;
    list-style: none;
    margin: 0;   
    padding: 0;   
    gap: 12px;    
}

.nav-links li a {
    font-family: 'Sora-Light';
    font-weight: 300;
    color: #FFFFFF;
    text-decoration: none;
    font-size: 18px;
    padding: 10px 8px;            
    transition: color 0.2s ease;
    display: inline-block;
}

.VideoGroup {
    position: relative;
    width: 100%;
    height: 500px;        
    overflow: hidden;     
    /* background: #0b0f14;     */
    /* background: #171f29;      */
    display: flex;
    background: #141414;
}

.FrontPageDescriptionGroup {
    width: 33%;
    height: 100%;

    /* background-color: red; */

    transform: translateX(0px);
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
    /* justify-content: center; */
    z-index: 5;  
}

.FrontPageVideo {
    /* position: absolute; */
    /* top: 50%;
    left: 50%; */
    /* margin-right: 0%;
    /* margin-left: -30%; */
    width: 66%;
    height: 100%;
    object-fit: cover;      /* fills container like background */
    /* transform: translate(-50%, -50%); */
    pointer-events: none;   /* disables click / pause / fullscreen */
}


.nav-links li a:hover {
    color: #00E6FF;
}

.OverlayParent {
    position: absolute;
    /* top: 50%;    */   
    /* left: 50%;       */
    /* transform: translate(-50%, -50%);  */
    transform: translate(0%, -100%); 
    z-index: 5;    
    /* pointer-events: none; */
    display: flex;

    align-items: flex-end;
}

.WallHugBackground {
    background-color: #0B0F14;
    width: 50%;
}

.OverlayImageContainerBackground {
    width: 320px;
    height: 320px;
    border-top-right-radius: 50px;
    /* border: 10px solid #0B0F14; */
    background-color: #0B0F14;
    display: flex;
    justify-content: center;
    align-items: center;
}

.OverlayImageContainer {

}

.OverlayImageContainer img {
    width: 320px;
    height: 320px;
    object-fit: cover;
    border-top-right-radius: 20px;
    display: block; 
    /* border: 10px solid #0B0F14; */
}

.NameAndTitleParent {
    display: flex;
}

.NameLogo {
    width: 100px;
    height: 100px;
    margin-left: 25px;
    margin-top: 15px;
    /* background-image: url('../Resources/sBrunesWebsiteLogoDiceLowRes.png'); */
}

.TaglineBox {
    /* background-color: #131921; */
    height: 250px;
    width: 500px;
    /* background-color: blue; */
}

.Name {
    font-family: 'Sora-Regular';
    font-weight: 600;
    color: #FFFFFF;
    font-size: 55px;
    margin-left: 15px;
    margin-top: 15px;
}

.JobTitle {
    font-family: 'Sora-Regular';
    font-weight: 400;
    color: #A9B2C1;
    font-size: 25px;
    margin-left: 15px;
}

.SelfDescription {
    font-family: 'Inter-Light';
    font-weight: 300;
    color: #AEB6C1;
    font-size: 18px;
    margin-left: 25px;
    margin-top: 20px;
    margin-right: 15px;
}

.SocialMediaIconBox {
    /* background-color: #00E6FF; */
    width: 100%;
    height: 40px;
    margin-top: 20px;
    margin-left: 25px;
    display: flex;
}

.SocialMediaIconBoxFooter {
    /* background-color: #00E6FF; */
    width: 100%;
    height: 40px;
    margin-top: 40px;
    display: flex;
    justify-content: center;
}

.SocialMediaIcon {
    /* background-color: red; */
    width: 25px;
    height: 25px;
    margin-right: 20px;
    cursor: pointer;  
}

.SocialMediaIcon img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.FrontPageContent {
    /* background-color: brown; */
    width: 100%;
    height: auto;
    align-items: center;
    display: flex;
    flex-direction: column;
    margin-top: 25px;
}

.FrontPageContentHeader {
    /* background-color: brown; */
    width: 100%;
    height: 50px;
    align-items: center;
    display: flex;
    flex-direction: column;
    background-color: #989898;
    background-image: url('../Resources/LineMaskHorizontalColor.png');
    background-blend-mode:multiply;
    background-repeat: repeat;
    background-size: 64px 6px;
}

.FeaturedWorkSection {
    position: relative;         
    width: 700px;
    height: 200px;
    border-radius: 10px;
    overflow: hidden;             
    box-shadow: 2px 10px 10px rgb(0,0,0);
    cursor: pointer;  
    margin-top: 20px;
    transition: box-shadow 0.15s ease, background-color 0.15s ease;
}

/* Pseudo-element for background image */
.FeaturedWorkSection::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('../Resources/Michelle Evans Art-Jillian and Sam-Memphis-Photographer-Fall-2024-0105.jpg');
    background-size: cover;
    background-position: center;            
    transition: transform 0.5s ease;
}

/* Hover effect: scale background slightly + highlight */
.FeaturedWorkSection:hover::before {
    transform: scale(1.05);       /* slightly zoom in background */
}

.FeaturedWorkSection:hover {
    box-shadow: 0 8px 20px #ffffff4d; /* subtle highlight */
}

.FrontPageContentHeaderDual {
    /* background-color: brown; */

    width: 100%;
    height: auto;
    gap: 50px;
    align-items: center;
    justify-content: center;
    display: flex;
    /* background-color: #989898;
    background-image: url('../Resources/LineMaskHorizontalColor.png');
    background-blend-mode:multiply;
    background-repeat: repeat;
    background-size: 64px 6px; */
    background-image: url('../Resources/DownGradient.png');
    background-size: 100% 100%;
}

.DualContentHeader {
    /* margin-top: 100px; */
    width: 550px;
    align-items: center;
    display: flex;
    flex-direction: column;
    height: auto;
    background-color: rgb(0, 0, 0, 0.4);
    backdrop-filter: blur(3px);
    border-radius: 10px;
    margin-top: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
}

.SectionHeader {
    font-family: 'Sora-Regular';
    font-weight: 600;
    color: #d7d7d7;
    font-size: 32px;
    /* background-color: blue; */
}

.ContentHeader {
    /* background-color: brown; */
    width: 100%;
    height: auto;
    align-items: center;
    justify-content: center;
    display: flex;
    flex-direction: column;
    background-color: #989898;
    background-image: url('../Resources/LineMaskHorizontalColor.png');
    background-blend-mode:multiply;
    background-repeat: repeat;
    background-size: 64px 6px;
}



.DualFrontPageContent {
    width: 100%;
    height: auto;
    /* align-items: center; */
    justify-content: center;
    display: flex;
    gap: 50px;
}

.ProjectsSection {
    margin-top: 10px;
    /* background-color: red; */
    width: 550px;
    height: auto;
    align-items: center;
    display: flex;
    flex-direction: column;
}

.ProjoectPreview {
    position: relative; 
    /* background-color: #00E6FF; */
    background-color: #1a1a1a;
    width: 500px;
    height: auto;
    margin-bottom: 30px;
    border-radius: 10px;
    overflow: hidden;             
    box-shadow: 10px 10px 10px rgb(0,0,0);
    transition: box-shadow 0.15s ease;
    cursor: pointer;
}

.ProjectThumbnail {
    /* background-color: red; */
    position: relative; 
    width: 100%;
    height: 150px;
    margin-bottom: 0px;
    border-radius: 10px;
    overflow: hidden;
}

.ProjectThumbnail::before {
    content: "";
    position: absolute;
    inset: 0;
    background-image: var(--thumb);
    background-size: cover;
    background-position: center;
    transition: transform 0.5s ease;
}

.ProjoectPreview:hover .ProjectThumbnail::before {
    transform: scale(1.05);
}

/* Highlight whole card on hover */
.ProjoectPreview:hover {
    box-shadow: 0 8px 20px #abadff;
}

.ProjectDescription {
    /* background-color: red; */
    width: 500px;
    height: auto;
    margin: 25px;
    display: flex;
    flex-direction: column;
    margin-top: 15px;
}

.ProjectName {
    font-family: 'Sora-Regular';
    font-weight: 600;
    color: #FFFFFF;
    font-size: 25px;
}

.ProjectRole {
    font-family: 'Inter-Light';
    font-weight: 300;
    color: #AEB6C1;
    font-size: 20px;
}

.TaglineAndDateBox {
    display: flex;
    width: 90%;
    margin-top: 5px;
    /* background-color: cyan; */
}

.ProjectTagline {
    font-family: 'Inter-Light';
    font-weight: 300;
    color: #AEB6C1;
    font-size: 15px;
}

.Footer {
    width: 100%;
    height: 150px;
    gap: 50px;
    /* background-color: #989898;
    background-image: url('../Resources/LineMaskHorizontalColor.png');
    background-blend-mode:multiply;
    background-repeat: repeat;
    background-size: 64px 6px; */
    display: flex;
    flex-direction: column;
    background-color: rgba(0, 0, 0, 0.415);
    backdrop-filter: blur(10px);
}

.FeaturedContentBody {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.FeaturedContentBody .FeaturedContentPost:first-child {
    border: 6px solid #000000;      /* starting color */
    animation: borderPulse 3s linear infinite;
}

.FeaturedContentPost {
    margin-top: 20px;
    /* background-color: red; */
    width: 1100px;
    height: 500px;
    border-radius: 20px;
    box-shadow: 2px 5px 5px 5px rgb(0,0,0);
}

@keyframes borderPulse {
    0%   { border-color: #00ccff; }
    33%  { border-color: #ffd166; }
    66%  { border-color: #da5050; }
    100% { border-color: #00ccff; }
}

.AboutMeImageContainer {
    /* width: 320px;
    height: 320px; */
    /* display: flex;
    justify-content: center;
    align-items: center; */

    height: 100%;
    /* background-color: red; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.AboutMeImageContainer img {
    width: 400px;
    height: 400px;
    object-fit: cover;
    border-radius: 20px;
    display: block; 
    margin-top: 20px;
}

.AboutMeText {
    font-family: 'Inter-Light';
    font-weight: 300;
    color: #AEB6C1;
    font-size: 20px;
    margin: 30px;
}

.DownloadResume {
    width: 100%;
    height: 75px;
    margin-top: 20px;
    margin-bottom: 20px;
    border-radius: 20px;
    background-color: #272727;
    box-shadow: 2px 2px 2px rgb(0,0,0);
    justify-content: center;
    align-items: center;
    display: flex;
    cursor: pointer;
    transition: box-shadow 0.15s ease;
}

.DownloadResume div {
    font-family: 'Sora-Regular';
    font-weight: 600;
    color: #FFFFFF;
    font-size: 20px;
}

/* Highlight whole card on hover */
.DownloadResume:hover {
    /* box-shadow: 0 8px 20px #ffffff4d; */
    background-color: #101010;
}

.DownloadLink {
    text-decoration: none;
    color: inherit;          
    display: inline-block;  
}

.DownloadLink:visited,
.DownloadLink:hover,
.DownloadLink:active {
    text-decoration: none; 
    color: inherit;          
}

.AboutMeInfoBox {
    width: 1050px;
    height: auto;
    background-color: rgb(0, 0, 0, 0.4);
    backdrop-filter: blur(5px);
    border-radius: 10px;
    margin-bottom: 20px;
    border-radius: 20px;
}

.educationBox {
    /* background-color: red; */
    width: 100%;
    height: auto;
}

.educationIcon {
    width: 49px;
    height: 38px;
    opacity: 0.4;
    /* padding-bottom: 50px; */
}

.educationTextContainer {
    display: flex;
    /* align-items: center; */
    margin-left: 40px;
    /* background-color: red; */
}

.educationText {
    font-family: 'Inter-Light';
    font-weight: 300;
    color: #ffffff;
    font-size: 20px;
    margin-left: 25px;
    margin-top: 2px;
}

.educationDetailsImportant {
    font-family: 'Inter-Light';
    font-weight: 300;
    color: #b5bbc4;
    font-size: 17px;
}

.educationDetails {
    margin-top: 5px;
    font-family: 'Inter-Light-Italic';
    font-weight: 300;
    color: #787f89;
    font-size: 15px;
}

.SkillsParent {
    display: flex;
    justify-content: center;
}

.SkillsContainer {
    background-color: #1a1a1a;
    border-radius: 20px;
    width: 100%;
    height: auto;
    margin: 25px;
    box-shadow: 2px 2px 2px rgb(0,0,0);
}

.SkillsContainerTitle {
    font-family: 'Sora-Regular';
    font-weight: 600;
    color: #FFFFFF;
    font-size: 20px;
    margin-top: 20px;
    margin-left: 30px;
    margin-bottom: 15px;
}

.SkillsDetails {
    font-family: 'Inter-Light';
    font-weight: 300;
    color: #9ca3ad;
    font-size: 17px;
}

.SkillsText {
    margin-bottom: 5px;
}

.GetInTouchParent {
    display: flex;
    justify-content: center;
    gap: 100px;
    margin-top: 100px;
   /* background-color: red; */
    height: 70vh;
}

.GetInTouchContainer {
    background-color: #1a1a1a;
    box-shadow: 2px 2px 2px rgb(0,0,0);
    width: 300px;
    height: 180px;
    align-items: center;
    display: flex;
    flex-direction: column;
    border-radius: 20px;
}

.GetInTouchImage {
    transform: translate(0%, -50%); 
    z-index: 5;    
    width: 100px;
    height: 100px;
    opacity: 0.8;
}

.GetInTouchTitle {
    font-family: 'Inter-Regular';
    font-weight: 400;
    color: #ffffff;
    font-size: 25px;
    margin-top: -40px;
    margin-bottom: 20px;
}

.GetInTouchInfo {
    font-family: 'Inter-Light';
    font-weight: 300;
    color: #9ca3ad;
    font-size: 17px;
}

.ContactTextHolder {
    width: 100%;
    margin-left: 50px;
}

.ContactMeLinkedIn {
    width: 50px;
    height: 50px;
    cursor: pointer;  
}

.ProjectSpacer {
    height: 20px;
}

.BodyBackground {
    /* background-color: #353c45; */
    margin: 0;
}

.BodyWrapper {
    background-image: url("../Resources/Tile3.png");
    background-color: rgb(76, 90, 119);
    background-blend-mode: multiply;
    min-height: 100vh;
    background-repeat: repeat;
    background-position: top left;
    background-size: 64px 64px;
}

.leftImage {
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    z-index: 9999;
    background-color: red;
}

.OverVideoGradient {
    /* background-color: red; */
    position: absolute;
    right: -200px;
    top: 50%;
    transform: translateY(-50%);
    width: 200px;
    height: 100%;
    /* background: linear-gradient(to right, #171f29,#44444400);; */
    background: linear-gradient(to right, #000000,#44444400);;
}

.AboutMeWrapper {
        background-color: rgb(0, 0, 0, 0.4);
    backdrop-filter: blur(3px);
    border-radius: 10px;
}